#
# spec file for package ebook-tools
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ebook-tools
Version:        0.2.2
Release:        7.3
Summary:        A library for reading ebook files
License:        MIT
Group:          Development/Libraries/C and C++
URL:            https://sourceforge.net/projects/ebook-tools/
Source:         %{name}-%{version}.tar.gz
Source1:        baselibs.conf
Patch1:         ebook-tools-64bit-installation.diff
Patch2:         ebook-tools-visibility-hidden.patch
# PATCH-FIX-OPENSUSE - fix https://sourceforge.net/p/ebook-tools/bugs/8/
Patch3:         0001-Avoid-crash-on-toc.ncx-navPoint-without-navLabel.patch
# PATCH-FIX-OPENSUSE
Patch4:         0002-Avoid-crash-on-spine-itemref-without-idref.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzip)

%description
ebook-tools provides some tools to handle ebook files

%package -n libepub0
Summary:        A library for reading ebook files
Group:          Development/Libraries/C and C++

%description -n libepub0
libepub library is needed for okular to support ebook format.

%package -n libepub-devel
Summary:        Header files for libepub library
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libepub0 = %{version}

%description -n libepub-devel
Header files for the libepub library

%prep
%setup -q
%patch1 -p1
%patch2
%patch3 -p1
%patch4 -p1

%build
%cmake

%cmake_build

%install
%cmake_install
nm -C -D %{buildroot}%{_libdir}/libepub.so.*

%post -n libepub0 -p /sbin/ldconfig
%postun -n libepub0 -p /sbin/ldconfig

%files
%{_bindir}/einfo
%{_bindir}/lit2epub

%files -n libepub0
%license LICENSE
%{_libdir}/libepub.so.*

%files -n libepub-devel
%{_includedir}/epub.h
%{_includedir}/epub_version.h
%{_includedir}/epub_shared.h
%{_libdir}/libepub.so

%changelog
* Sun Apr 23 2023 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix a crash when an itemref in the spine has no idref,
  see kde#466540.
  * add 0002-Avoid-crash-on-spine-itemref-without-idref.patch
- Replace 0001-Avoid-crash-on-toc-navPoint-without-navLabel.patch
  with 0001-Avoid-crash-on-toc.ncx-navPoint-without-navLabel.patch
* Mon Jan  4 2021 Dirk Müller <dmueller@suse.com>
- use cmake build macros + spec-cleaner
* Tue Apr 30 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Fix a crash when a navPoint in toc.ncx has no navLabel, see
  kde#406116 and https://sourceforge.net/p/ebook-tools/bugs/8/
  * add 0001-Avoid-crash-on-toc-navPoint-without-navLabel.patch
- specfile cleanup, remove %%defattr, add LICENSE
* Wed Jun  4 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf
* Sat Oct 12 2013 hrvoje.senjan@gmail.com
- Update to 0.2.2 (bnc#845629, kde#325909)
  * Bugfix release, no upstream changelog provided
* Tue Jul 16 2013 tchvatal@suse.com
- xz was added to buildrequires and it was formatted.
* Thu Dec 29 2011 crrodriguez@opensuse.org
- Use GCC visibility, which shrinks the symbol table
  to less than a half of the actually size
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
* Wed Mar 23 2011 coolo@novell.com
- update to 0.2.1:
  installs epub_version.h now
- fix build with libzip
* Fri Sep 10 2010 ctrippe@gmx.net
- update to new version 0.2.0
  This release contains major bug fixes.
  Among them crash bugs/security bugs.
  Update recommended
* Wed Jul 22 2009 llunak@suse.cz
- build fixes
